Поддержка Unity 2d снизилась в 12.10, что теперь?

10

Так было объявлено. Ubuntu отказывается от единства поддержки 2d.

Я бы не возражал, если бы это было не для двух вещей, которые важны для меня.

1) Рабочая система

Единство приятно, я стараюсь использовать его довольно часто. Но он отстает.

2) Поддержка старого оборудования.

У меня также есть старые компьютеры. Вы можете себе представить, как они будут работать с единством, если мой текущий ноутбук будет работать в Ubuntu.

Думаю, я мог бы использовать другой рабочий стол / оконный менеджер, например, переход на fluxbox.

У кого-нибудь есть предложения или решения о том, как продолжить работу с Ubuntu в будущем? Все идеи приветствуются

    
задан tomodachi 16.08.2012 в 15:11
источник

5 ответов

7

В соответствии с этой статьей на системах Phoronix без ускорения OpenGL все равно будет поддерживаться с использованием драйвер LLVMpipe.

  

«Те, у кого нет ускорения OpenGL на GPU для запуска Unity   рабочий стол с Compiz будет иметь дело с драйвером LLVMpipe для   Gallium3D работает на вашем процессоре. LLVMpipe плохо подходит для игр, но хорошо   достаточно для композитного рабочего стола. LLVMpipe уже обрабатывает   GNOME Shell и с Fedora 17, GNOME-Shell-On-LLVMpipe - это   программный спад ».

Звучит здорово. Мы увидим, насколько хорошо это работает на практике.

Литература:

ответ дан smooth-texan 16.08.2012 в 15:24
источник
4

В 12.10 Unity будет работать в системах без приличной поддержки OpenGL , используя LLVMPipe (см. также эта ошибка, документирующая изменение ). Это будет стоить более дорогостоящего использования ЦП, поэтому на старых системах вы можете переключиться на другой рабочий стол.

    
ответ дан Florian Diesch 30.08.2012 в 12:37
3

По умолчанию Quantal собирается включить Gnome-Shell. Это будет работать, даже если ваша система не может запустить Unity.

Gnome-Shell похожа на старые версии до Unity.
ref: Ссылка


В Unity 3D ваша система будет действовать немного сдержанно или даже отказаться от запуска Unity, но можно установить альтернативный DE. Нажмите Ctrl + Alt + F1 и войдите в систему, указав свое имя пользователя и пароль. Затем вы можете использовать этот терминал для установки DE по вашему выбору:

  • Рабочий стол Kubuntu:

    sudo apt-get install kubuntu-desktop
    
  • Рабочий стол Lubuntu:

    sudo apt-get install lubuntu-desktop
    
  • Рабочий стол Xubuntu:

    sudo apt-get install xubuntu-desktop
    
ответ дан hexafraction 30.08.2012 в 12:31
2

Я думаю, вы все равно можете установить lubuntu или xubuntu.

    
ответ дан January 30.08.2012 в 11:42
1

Ubuntu 12.04 LTS поддерживается до 2017 года, поэтому для старых компьютеров это будет хорошим вариантом, если вы хотите использовать Unity 2D вместо более легких дистрибутивов / рабочих столов.

    
ответ дан Fernhill Linux Project 16.08.2012 в 15:19